Name: cryptmount
Version: 4.1
Release: alt2
Group: File tools
Packager: Pavel Isopenko <pauli@altlinux.org>
License: GPL
Summary: Let ordinary users mount an encrypted file system
Url: http://cryptmount.sourceforge.net
Source: %name-%version.tar
BuildRequires: libdevmapper-devel libgcrypt-devel

%description
cryptmount is a utility for the GNU/Linux operating system which allows
an ordinary user to mount an encrypted filing system without requiring
superuser privileges. Filesystems can reside on raw disk partitions or
ordinary files, with cryptmount automatically configuring
device-mapper and loopback devices before mounting.

%prep
%setup
perl -pi.orig -e 's|^(\s*)chown(\s*root)|\1#chown\2|g;
s|%_sysconfdir/init.d|%_initdir|g;
' Makefile.am Makefile.in

%build
%configure --enable-delegation --enable-fsck

%make_build

%install
install -d -m0755 %buildroot%_initdir
install -d -m0755 %buildroot%_sbindir
install -d -m0755 %buildroot%_sysconfdir/default/

%makeinstall_std
%find_lang %name

%files -f %name.lang
%doc AUTHORS ChangeLog COPYING NEWS README* RELNOTES ToDo
%_mandir/man5/cmtab.5*
%_mandir/man8/cryptmount*.8*
%_mandir/*/man5/cmtab.5*
%_mandir/*/man8/cryptmount*.8*


%config(noreplace) %_sysconfdir/cryptmount/
%config %_initdir/cryptmount
%config %_initdir/cryptmount-early
%config %_sysconfdir/default/cryptmount
%_sbindir/cryptmount-setup
%_libdir/cryptmount/

%attr(4711, root, root) %_bindir/cryptmount

%post
#%post_service %name

%preun
#%preun_service %name

%changelog
* Tue Feb 01 2011 Pavel Isopenko <pauli@altlinux.org> 4.1-alt2
- %preun_service/%postun_service fix

* Tue Nov 16 2010 Pavel Isopenko <pauli@altlinux.org> 4.1-alt1
- initial build for Sisyphus

